org.eclipse.cdt.core.settings.model

## Class ACPathEntry

- java.lang.Object
- - org.eclipse.cdt.core.settings.model.ACSettingEntry
  - - org.eclipse.cdt.core.settings.model.ACPathEntry

All Implemented Interfaces:
  ICPathEntry, ICSettingEntry

Direct Known Subclasses:
  ACExclusionFilterEntry, CIncludeFileEntry, CIncludePathEntry, CLibraryFileEntry, CLibraryPathEntry, CMacroFileEntry

    public abstract class ACPathEntry
    extends ACSettingEntry
    implements ICPathEntry

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.settings.model.ICSettingEntry

`ALL, BUILTIN, EXPORTED, FRAMEWORKS_MAC, INCLUDE_FILE, INCLUDE_PATH, LIBRARY_FILE, LIBRARY_PATH, LOCAL, MACRO, MACRO_FILE, NONE, OUTPUT_PATH, READONLY, RESOLVED, SOURCE_PATH, UNDEFINED, VALUE_WORKSPACE_PATH`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected String` `contentsToString()`
`protected org.eclipse.core.runtime.IPath` `fullPathForLocation(org.eclipse.core.runtime.IPath location)`
`org.eclipse.core.runtime.IPath` `getFullPath()`
`org.eclipse.core.runtime.IPath` `getLocation()`
`abstract boolean` `isFile()`
`boolean` `isValueWorkspacePath()`

### Methods inherited from class org.eclipse.cdt.core.settings.model.ACSettingEntry

`checkFlags, codeForContentsKey, codeForNameKey, equals, equalsByContents, equalsByName, getByNameMatchFlags, getFlags, getName, getValue, hashCode, isBuiltIn, isReadOnly, isResolved, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.cdt.core.settings.model.ICSettingEntry

`equalsByContents, equalsByName, getFlags, getKind, getName, getValue, isBuiltIn, isReadOnly, isResolved`

### Method Detail

#### getFullPath

    public org.eclipse.core.runtime.IPath getFullPath()

Specified by:
  `getFullPath` in interface `ICPathEntry`

#### fullPathForLocation

    protected org.eclipse.core.runtime.IPath fullPathForLocation(org.eclipse.core.runtime.IPath location)

#### isFile

    public abstract boolean isFile()

Since:
  5.4

#### getLocation

    public org.eclipse.core.runtime.IPath getLocation()

Specified by:
  `getLocation` in interface `ICPathEntry`

#### isValueWorkspacePath

    public boolean isValueWorkspacePath()

Specified by:
  `isValueWorkspacePath` in interface `ICPathEntry`

#### contentsToString

    protected String contentsToString()

Specified by:
  `contentsToString` in class `ACSettingEntry`